Subject: Re: GCC and my modem
From: Joshua Rosen <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 18 Sep 1999 19:26:31 -0400

Richard Hitt wrote:

	Issuing the command "gcc -o f.exe xxx.c", where xxx.c consists of...:

#include <stdio.h>
int main() {
  printf("Foo!\n");
  return;
}

... causes 87 bytes to go out and 36 to come in, so says the Dial-Up
Networking Monitor.
I'm connected to the Internet through a dial-up PPP account, and, no,
the data-transfer doesn't occur if I tell gcc not to link, so I guess
that that's -where- it's happening, so, again, why?;)

This is from the cygwinb20 full.exe distribution at Cygnus' FTP site,
running on WinNT 4.
 
> I just tried using a simple gcc command and got no change at all in my
> Microsoft "Bytes received:" or "Bytes sent:" counter.  I was online at
> the time, through my netcom shell account, running slirp.  Perhaps if
> you posted a more detailed account of your experience to the mailing
> list, others and I could more accurately give it a try.
> 
> Try for as simple a case as possible.  Do you see the problem when
> compiling a simple "hello, world" program, using only "gcc -c"?  How
> much does the "Bytes received:" counter advance?  The "Bytes sent:"
> counter?  Is this amount consistent every time you run the same test
> case of gcc?  How are you connected to the internet?  By a PPP
> account?  from what ISP?  etc etc etc etc  :-)  Of course, the more
> detail and the simpler test case you provide, the more likely others
> will be able to reproduce your experience.
> 
> Richard
> 
> On Sat, 18 Sep 1999 10:42:54 -0400, you wrote:
> 
> >I've noticed that, when connected to the internet, starting GCC causes
> >some data-flow over my connection (or, at least, it looks like it
> >does--I'm using an internal modem, so I'm assuming that MS's monitor
> >is telling me the truth). Why is this?

--
Want to unsubscribe from this list?
Send a message to [email-masked]